import SimpleGUICS2Pygame.simpleguics2pygame as simplegui

COMET_CENTER = [120, 67.5]
COMET_SIZE = [240, 135]
COMET_DIM = 150
# Комета 67P Чурюмова-Герасименко (3D-модель)
COMET_IMAGE = simplegui.load_image("http://site.com/67P.png")

#Глобальная переменная время для анимации.
time = 0

#обработчик рисования
def draw(canvas):
	global time
	current_index = (time % COMET_DIM) // 1
	current_center = [COMET_CENTER[0],
                          COMET_CENTER[1] + current_index * COMET_SIZE[1]]
	canvas.draw_image(COMET_IMAGE, current_center, COMET_SIZE, COMET_CENTER,
                          COMET_SIZE)
	time += 1
	
#Создание формы и размера формы на основе 128х128 спрайта.
frame = simplegui.create_frame("Комета 67P Чурюмова-Герасименко",
                               COMET_SIZE[0], COMET_SIZE[1])

#Установка для обработчика рисования и цвета фона.
frame.set_draw_handler(draw)
frame.set_canvas_background("Black")

#Запуск анимации.
frame.start()
