import SimpleGUICS2Pygame.simpleguics2pygame as simplegui

#Загрузка 81-кадрового тайлового изображения спрайта для взрыва -- рисунок создан генератором взрывов с hasgraphics.com
EXPLOSION_CENTER = [50, 50]
EXPLOSION_SIZE = [100, 100]
EXPLOSION_DIM = [9, 9]
explosion_image = simplegui.load_image("http://site.com/explosion.hasgraphics.png")

#Создание таймера для анимации.
time = 0

#Определение обработчика рисования.
def draw(canvas):
	global time
	explosion_index = [time % EXPLOSION_DIM[0], (time // EXPLOSION_DIM[0]) % EXPLOSION_DIM[1]]
	canvas.draw_image(explosion_image, [EXPLOSION_CENTER[0] + explosion_index[0] * EXPLOSION_SIZE[0],
                                            EXPLOSION_CENTER[1] + explosion_index[1] * EXPLOSION_SIZE[1]],
                                                  EXPLOSION_SIZE, EXPLOSION_CENTER, EXPLOSION_SIZE)
	time += 1
	
#Создание формы.
frame = simplegui.create_frame("Взрыв", EXPLOSION_SIZE[0], EXPLOSION_SIZE[1])

#Установка цвета фона и обработчика рисования холста.
frame.set_draw_handler(draw)
frame.set_canvas_background("Blue")

#Запуск анимации.
frame.start()
